2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #342296

	* configure.in:	Remove 'mail-to-meeting' plugin,
	the 'mail-to-task' plugin does this itself now.

2009-04-12  Matthew Barnes  <mbarnes@redhat.com>

	** Remove a bunch of juvenile comments.  Source code should
	   look professional, even if some developers are not.

2009-03-16  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.26.0 release and version bump

2009-03-08  David Planella  <david.planella@gmail.com>

	* configure.in: Added Makefiles for the Catalan translations of the
	welcome e-mail and quick reference.

2009-03-02  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Post-release version bump.

2009-03-02  Matthew Barnes  <mbarnes@redhat.com>

	* NEWS: Evolution 2.25.92 release

2009-02-24  Matthew Barnes  <mbarnes@redhat.com>

	* MAINTAINERS:
	Add myself as a Shell maintainer, with Srini's permission.

2009-02-02  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.25.90 release

2009-01-31  Matthew Barnes  <mbarnes@redhat.com>

	** Disable debug macros (#define d(x) x) throughout.  (#569638)

2009-01-29  Tor Lillqvist  <tml@novell.com>

	Cross-compilation from Linux to Windows support by Fridrich Strba.

	* configure.in: Check for <sys/wait.h>. Don't look for socklen_t
	on Windows.

	If cross-compiling, we obviously can't run the test to find out
	the preferred formats for charset names of iconv(). We know them a
	priori for Windows, though. For cross-compilation to other
	platforms more change is needed.

	* win32/Makefile.am: Use $(DLLTOOL) instead of hardcoding name.

2009-01-29  Srinivasa Ragavan  <sragavan@novell.com>

	* tools/killev.c: Added another pattern to killev.

2009-01-19  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.25.5 release

2009-10-19  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Keep evolution and evolution-data-server versions in lockstep
	from now on to avoid any more dependency screw ups.

2009-01-15  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #208426

	* configure.in: Added support for importing .pst files into Evolution.

2009-01-12  Philip Van hoof  <philip@codeminded.be>

	* e-util/e-plugin.c
	* e-util/e-plugin.h
	* shell/main.c: EPlugins must be loaded after Bonobo init, else variables
	like `session` are not available for plugin's initialization functions.
	(Fixes Bug #565681)

2009-01-08  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #565376

	* configure.in:
	Bump eds requirement to 2.25.5 because of new functionality.

2009-01-05  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.25.4 release

2009-01-01  Andre Klapper  <a9016009@gmx.de>

	* configure.in:
	Added Czech translation of quickref.

2008-12-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* shell/main.c:
	Fix memory leak. (Fixes bug #565628).

2008-12-22  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.25.4 for CAMEL_STORE_IS_MIGRATING.

2008-12-16  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #564248

	* configure.in: Bump libgtkhtml_minimum_version to 3.25.4
	because of new html editor functions.

2008-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.25.3.1 release

2008-12-14  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump libgtkhtml_minimum_version to 3.25.3 to pick up
	HTMLTokenizer changes (ABI break, actually).

2008-12-10  Suman Manjunath  <msuman@novell.com>

	* configure.in: Build the weather calendar setup plugin unless 
	explicitly requested not to, thereby making the libgweather 
	dependency optional. 

2008-12-01  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.25.2 release changes.

2008-11-28  Felix Riemann  <friemann@svn.gnome.org>

	** Part of fix for bug #554464

	* configure.in: Bump gtk+ minimum version to 2.14.0 which pulls in a
	recent enough Pango version.

2008-11-12  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #524377

	* configure.in: Bump eds minimum version to 2.25.2 because of
	camel's int camel_header_param_encode_filenames_in_rfc_2047.

2008-11-07  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #557581

	* configure.in:
	Break up the version definitions such that we can calculate the
	latest stable version and pass a STABLE_VERSION definition to
	shell/main.c.

2008-11-07  Sankar P  <psankar@novell.com>

	* Makefile.am:
	Ship COPYING.OPENLDAP also

2008-11-03  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in, NEWS: Evolution 2.25.1 release and version bump

2008-11-03  Sankar P  <psankar@novell.com>

	License Changed from GPL to LGPL
	Refer COPYING File for more details

2008-10-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #549025

	* configure.in:
	Restrict libmono linkage to the mono plugin, so that downstream
	packagers can isolate the mono dependency to a subpackage.
	Add configuration summary lines indicating whether the Mono and
	Python bindings are enabled.

2008-10-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fix for bug #548469

	* configure.in: Drop support for deprecated libnm-glib. 

2008-10-14	Sankar P  <psankar@novell.com>

		* calendar/gui/gnome-cal.h
		* calendar/gui/gnome-cal.c
		* calendar/gui/calendar-commands.h
		* calendar/gui/calendar-commands.c
		* calendar/conduits/memo/memo-conduit.c
		* calendar/conduits/calendar/calendar-conduit.c
		* calendar/conduits/todo/todo-conduit.c
		* addressbook/conduit/address-conduit.c :
		
		* Remove improper FSF copyright statements; was never signed
		over to them and was incorrectly added to this file due to a
		mistake made by the original developer.

2008-10-13  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #424818 (bugzilla.novell.com)

	* configure.in:
	* plugins/mark-calendar-offline :
	Integrate the mark-calendar-offline plugin into the main code as we already 
	have a similar per-calendar option which does the same thing. 

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #554458

	* configure.in:
	Bump glib version to 2.18.0 because of g_content_type_from_mime_type.

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Fix 'cs' build break due to my git-merge issues.

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for Evolution 2.25.1

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* COPYING.LGPL2: Add LGPL v2, v3 licensing header.
	* COPYING.LGPL3:

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.24.0 release.

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Fix for build break. 

2008-09-22  Luca Ferretti  <elle.uca@libero.it>

	* configure.in: 
	Add mail/default/it/Makefile to AC_OUTPUT.

2008-09-17  Gabor Kelemen  <kelemeng@gnome.hu>

	* configure.in:
	Add mail/default/hu/Makefile to AC_OUTPUT.

2008-09-16  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Add mail/default/sr@latin/Makefile to AC_OUTPUT.

2008-09-16  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Add mail/default/sr/Makefile to AC_OUTPUT (bug #552508).

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* iconv-detect.c:

2008-09-10  Michael Meeks  <michael.meeks@novell.com>

	* server.mk: use top_builddir for config.h #551560

2008-09-08  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.23.92 release.

2008-09-01  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.23.91 release and version bump

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* tools/killev.c:

2008-09-01  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Fix compiler warnings in some of the test programs.

2008-08-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546926

	* configure.in:
	Bump eds_minimum_version to 2.23.91 for camel_shutdown().

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.23.90 release and Version bump.

2008-08-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #547411

	* data/icons/hicolor_status_32x32_online.png:
	* data/icons/hicolor_status_32x32_online.svg:
	* data/icons/hicolor_status_32x32_offline.png:
	* data/icons/hicolor_status_32x32_offline.svg:
	New, Tangoized versions of the old "art" images.

2008-08-12  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.23.90 for
	E_BOOK_ERROR_UNSUPPORTED_AUTHENTICATION_METHOD.

2008-08-08  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #546748

	* addressbook/gui/component/addressbook-view.c:
	Change "_Properties..." to "_Properties" to match HIG and other
	components.

2008-08-08  Michael Monreal  <mmonreal@svn.gnome.org>

	** Additional fix for bug #467115

	* addressbook/gui/contact-editor/e-contact-editor.c:
	(e_contact_editor_init):
	* art/Makefile.am:
	* data/icons/Makefile.am:
	Get rid of old contact-editor icon.

2008-08-08  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #546744

	* addressbook/gui/component/addressbook-view.c:
	Use address-book-new icon instead of contacts-new.

2008-08-07  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #535745

	* configure.in: Require and link calendar libs with libgdata
	and libgdata-google.

2008-08-06  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #467115

	* addressbook/gui/component/addressbook-view.c:
	(addressbook_view_init):
	* calendar/gui/GNOME_Evolution_Calendar.server.in.in:
	* calendar/gui/memos-component.c: (create_component_view):
	* calendar/gui/tasks-component.c: (create_component_view):
	* data/icons/Makefile.am:
	* mail/GNOME_Evolution_Mail.server.in.in:
	* mail/mail-component.c: (impl_createView):
	Ship and use tango icons for the mail, tasks and memos components.

2008-08-06  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #531288

	* data/icons/Makefile.am:
	* mail/GNOME_Evolution_Mail.server.in.in:
	Use proxy icon from tango-icon-theme and fall back to the icon
	shipped by gnome-control-center (thanks to Josef Vybíral).

2008-08-04  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.23.6 release and version bump.

2008-08-04  Matthias Braun <matze@braunis.de>

	** Fix for bug #544051 - Added a plugin for the WebDAV addressbook 
	account setup. 

	* configure.in:
	* plugins/webdav-account-setup/Makefile.am:
	* plugins/webdav-account-setup/org-gnome-evolution-webdav.eplug.xml
	:
	* plugins/webdav-account-setup/webdav-contacts-source.c
	(ensure_webdav_contacts_source_group),
	(remove_webdav_contacts_source_group), (print_uri_noproto),
	(set_ui_from_source), (set_source_from_ui), (on_entry_changed),
	(on_toggle_changed), (destroy_ui_data), (plugin_webdav_contacts),
	(e_plugin_lib_enable):

2008-07-30  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #545558

	* configure.in:
	Mark the "hula-account-setup" plugin as experimental.

2008-07-30  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.23.6 for CAMEL_PROVIDER_CONF_OPTIONS.

2008-07-23  Johnny Jacob  <jjohnny@novell.com>

	* configure.in: Version bumped to 2.23.6.
	* NEWS: Updates for 2.23.5

2008-07-22  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #544022

	* configure.in: Do not redefine DBUS_VERSION define supplied
	by dbus itself, rather rename our define to FOUND_DBUS_VERSION.
	
2008-07-21  Johnny Jacob  <jjohnny@novell.com>

	* data/hicolor_actions_24x24_query-free-busy.png: Moved to 
	data/icons/hicolor_actions_24x24_query-free-busy.png as per 
	rev 35753.
	
2008-07-21  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Add doltcompile and doltlibtool to DISTCLEANFILES to fix
	distcheck breakage.
	
2008-07-20  Bharath Acharya  <abharath@novell.com>

	** Part of fix for bug #200147

	* configure.in: Added a new plugin templates, which will make it 
	possible for users to use standard templates to reply to their messages.

2008-07-18  Matthew Barnes  <mbarnes@redhat.com>

	* data/icons/hicolor_actions_24x24_query-free-busy.png:
	Moved here from art/query-free-busy.png so we can treat it as a
	named icon.

	* data/icons/Makefile.am:
	Add hicolor_actions_24x24_query-free-busy.png.

2008-07-03  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.23.5 for camel_folder_sort_uids().

2008-06-24  Alp Toker  <alp@nuanti.com>

	Reviewed by Jeffrey Stedfast.

	* configure.in:
	* acinclude.m4:
	Add dolt revision 5e9eef10 to the autotools build system. Speeds up
	the build, often by a factor of two or more on supported platforms,
	otherwise falls back to libtool.

	See http://dolt.freedesktop.org for details.

2008-06-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #423395

	* configure.in: Requires newer GtkHTML, 3.23.5.

2008-06-17  Johnny Jacob  <jjohnny@novell.com>

	* configure.in: Bumped to 2.23.5 .

	* NEWS: Evolution 2.23.4 release updates.

2008-06-16  Johnny Jacob  <jjohnny@novell.com>

	* plugins/Makefile.am (DIST_SUBDIRS): Add python loader to DIST.

2008-06-13  Tor Lillqvist  <tml@novell.com>

	* win32/libevolution-mail.def: Add more functions used by
	libevolution-composer.la and libevolution-calendar.la.

2008-06-11  Johnny Jacob  <jjohnny@novell.com>

	** Partially fixes #506393
	* configure.in : Adding python plugin loader (--enable-python).

2008-06-06  Matthew Barnes  <mbarnes@redhat.com>

	** Allow evolution to build with G_DISABLE_SINGLE_INCLUDES and
	   GTK_DISABLE_SINGLE_INCLUDES defined.  (#536637)

2008-06-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: Add -Wl,--exclude-libs=libiconv.a to ICONV_LIBS on
	Windows to avoid auto-exporting functions from the static
	libiconv.a implementation in win_iconv from evolution's DLLs.

2008-06-05  Johnny Jacob  <jjohnny@novell.com>

	Committing this on behalf Chenthill Palanisamy  <pchenthill@novell.com>
	
	* configure.in (EVO_SET_COMPILE_FLAGS): Add libebackend.

2008-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.23.1.1 release and version bump.

2008-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.23.3 release.

2008-06-02  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.23.3 for CAMEL_MESSAGE_FORWARDED.

2008-05-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534476

	* configure.in:
	Require shared-mime-info >= 0.22 to make sure we pick up the fix
	for correctly identifying "winmail.dat" attachments.

2008-05-12  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in : Evolution 2.23.2 release and version bump.

2008-05-08  Tor Lillqvist  <tml@novell.com>

	* evolution-zip.in: Include the whole etc/gconf/gconf.xml.defaults
	tree. The intent is to do "make install" to a temporary empty
	folder anyway, so there won't be any extra stuff in there. It is
	essential to get all the empty %gconf.xml files, also from the
	gconf.xml.defaults/apps folder.

2008-05-06  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.23.2 for camel-iconv.h.

2008-04-30  Rob Bradford  <rob@openedhand.com>

	* configure.in:
	Link with libebackend (see #530576.)

2008-04-21  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.23.1 release and version bump.

2008-04-18  Srinivasa Ragavan  <sragavan@novell.com>

	* MAINTAINERS: Update the Mail guards.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* configure.in: Drop dependency on gnome-vfs, depend on gio instead.

2008-04-11  Suman Manjunath  <msuman@novell.com>

	* configure.in: Bump glib package requirement: glib-2.0 >= 2.16.0

2008-04-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #526152

	* tools/killev.c (main):
	No need to continue killing the GnomeSpell Bonobo server.

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	** Merge the mbarnes-composer branch

	* configure.in:
	Bump libgtkhtml requirement to 3.19.1.
	Add gtkhtml-editor dependency for addressbook, calendar and mail.
	Remove print-message plugin; new composer implements this natively.

	* tools/Makefile.am:
	Remove CORBA rules for the old composer.

	... separate issue ...

	* configure.in:
	Bump eds_minimum_version to 2.23.1 for
	CAMEL_FOLDER_JUNKED_NOT_DELETED symbol.

2008-04-01  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Version bump for 2.23.1.

2008-03-25  Dan Williams  <dcbw@redhat.com>

	** Fix for bug #524310

	* mail/mail-session.c: don't double-free server messages

2008-03-17  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #519421

	* configure.in: also use <libytnef/ytnef.h> to check for TNEF support

2008-03-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #512543

	* configure.in: Get rid of --enable-cairo-calendar/ENABLE_CAIRO define.

2008-03-10  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.22.0 release.

2008-03-05  Tor Lillqvist  <tml@novell.com>

	* evolution-zip.in: etc/gconf/gconf.xml.defaults/apps/evolution
	was missing.

2008-03-03  Tor Lillqvist  <tml@novell.com>

	* evolution-zip.in: Misc simplification and cleanup. Add
	share/icons/hicolor.

2008-03-03  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Add mail/default/ko/Makefile to AC_OUTPUT.

2008-02-25  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.21.92 release.

2008-02-25  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: set HANDLE_LIBICAL_MEMORY to 1.

2008-02-20  Jeff Cai<jeff.cai@sun.com>

	** Fix for bug #516648

	* configure.in:
	Use "pkill -x" to kill processes on Solaris.

2008-02-18  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.21.92 for camel_application_is_exiting.

2008-02-18  Akhil Laddha  <lakhil@novell.com>

	** Fix for bug #517129

	* configure.in: Fix build break of pl translation.

2008-02-13  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Evolution 2.21.92 version bump.

2008-02-11  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.21.91 release.

2008-02-11  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.21.91 for CAMEL_MESSAGE_NOTJUNK.

2008-02-06  Tor Lillqvist  <tml@novell.com>

	* evolution-zip.in: Correct file names that have had the
	@BASE_VERSION@ dropped. Look for message locales first from
	share/locale, as that is where they get stuffed when building
	against a properly built GNU gettext.

2008-01-29  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Evolution 2.21.91 version bump.

2008-01-29  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.21.90 release.

2008-01-25  Tor Lillqvist  <tml@novell.com>

	* win32/libevolution-mail.def: Add two more entries for
	bootstrapping. The mail/importers/libevolution-mail-importers
	library depends on the libevolution-mail library which hasn't been
	built yet when libevolution-mail-importers is built.

2008-01-24  Tor Lillqvist  <tml@novell.com>

	* configure.in: Include camel in E_UTIL compile flags and libs, as
	libeutil uses camel_utf8_utf7().

2008-01-24  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.21.90 for new Camel functions.

2008-01-21  Sankar P  <psankar@novell.com>

	* configure.in:
	Add missing directory in configure.in
	Fixes build break

2008-01-19  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump some additional package requirements for libsoup-2.4:
		libbonobo-2.0 >= 2.20.3
		glib-2.0 >= 2.15.3

2008-01-15  Dan Winship  <danw@gnome.org>

	* configure.in: Require libsoup-2.4. (Remove old "either 2.2 or
	2.4" support, which only ever worked because there was an old CVS
	version of libsoup that claimed to be 2.4 but still had the 2.2
	API.)

2008-01-14  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump to 2.21.90

2008-01-14  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution 2.21.5 release

2008-01-09  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #492702

	* configure.in: Just disable the dbus message part of mail
	notification if dbus isn't there. Also remove new-mail-notify plugin.

2008-01-06  Michael Monreal  <michael.monreal@gmx.net>

	** Fix for bug #492188

	* data/icons/Makefile.am:

	Use the new Tangoized icons instead of deprecated icons from 
	gnome-icon-theme.

2008-01-05  Matthew Barnes  <mbarnes@redhat.com>

	* data/evolution.desktop.in.in:
	Submit bugs to the "BugBuddyBugs" Bugzilla component (#507311).

2008-01-01  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump GtkHTML requirement to 3.17.5 for bug #317823.

2008-01-01  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Add --with[out]-help option to make it possible to skip
	building and installing user documentation.  (#504541)

2007-12-18  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump to 2.21.5

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: evolution 2.21.4 release.

2007-12-17  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump eds_minimum_version to 2.21.4 for new Camel functions.

2007-12-15  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	* plugins/mail-remote:
	Just remove the mail-remote plugin altogether so we stop going
	back and forth over whether the tranlatable files should be added
	to POTFILES.in.  We can always add it back once we get it working
	again.

2007-12-13  Tobias Mueller  <tobiasmue@svn.gnome.org>

	** Fixes bug 474651
	* calendar/gui/memos-component.c:
	* addressbook/gui/component/addressbook.c:
	* calendar/gui/tasks-control.c:
	* calendar/gui/tasks-component.c:
	* widgets/misc/e-dateedit.c:
	* calendar/gui/e-cal-model-tasks.c:
	* widgets/misc/e-cell-percent.c:
	* calendar/gui/e-itip-control.c:
	* calendar/gui/comp-editor-factory.c:
	Use format strings in gtk_message_dialog_new

2007-12-10  Tobias Mueller  <tobiasmue@svn.gnome.org>

	** Fixes bug 474651

	* addressbook/gui/contact-editor/eab-editor.c:
	* plugins/save-calendar/ical-format.c:
	* plugins/save-calendar/csv-format.c:
	* plugins/save-calendar/rdf-format.c:
	* plugins/ipod-sync/ical-format.c:
	* plugins/ipod-sync/ipod-sync.c:
	* plugins/ipod-sync/evolution-ipod-sync.c:
	* calendar/gui/dialogs/changed-comp.c:
	* calendar/gui/dialogs/copy-source-dialog.c:
	* calendar/gui/dialogs/delete-error.c:
	Use format strings in gtk_message_dialog_new

2007-12-05  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump libgtkhtml requirement to 3.17.3 due to bug #271551.

2007-12-03  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: evolution 2.21.3 release.

2007-11-12  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: evolution 2.21.2 release.

2007-11-14  Matthew Barnes  <mbarnes@redhat.com>

	** Remove trailing whitespace from source code.

2007-11-10  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #209425

	* data/icons/Makefile.am:
	* data/icons/hicolor_actions_16x16_go-today.svg:
	* data/icons/hicolor_actions_22x22_go-today.svg:
	Don't use gtk-home for the go-today action. Add new
	icons to the build.

2007-11-03  Matthew Barnes  <mbarnes@redhat.com>

	** Remove dead files from source control.  The dates below
	   indicate when the file was removed from Makefile.am.
	   Fixes part of bug #478704.

	* tools/evolution-launch-composer.c	(Jun 2003)

	* configure.in:
	Remove plugins/mail-remote/Makefile from AC_OUTPUT.
	Fixes a distcheck error.

2007-10-31  Priit Laes  <plaes@svn.gnome.org>
	
	* addressbook/gui/widgets/eab-vcard-control.c: Remove debugging output.

2007-10-29  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.21.1 release.

2007-10-31  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #486351

	* data/icons/Makefile.am:
	* data/icons/hicolor_actions_32x32_view-calendar-day.svg:
	* data/icons/hicolor_actions_32x32_view-calendar-list.svg:
	* data/icons/hicolor_actions_32x32_view-calendar-month.svg:
	* data/icons/hicolor_actions_32x32_view-calendar-week.svg:
	* data/icons/hicolor_actions_32x32_view-calendar-workweek.svg:
	* data/icons/hicolor_actions_scalable_view-calendar-day.svg:
	* data/icons/hicolor_actions_scalable_view-calendar-list.svg:
	* data/icons/hicolor_actions_scalable_view-calendar-month.svg:
	* data/icons/hicolor_actions_scalable_view-calendar-week.svg:
	* data/icons/hicolor_actions_scalable_view-calendar-workweek.svg:
	Add view-calendar-* icons in higher resolutions for use with 
	a11y themes like LargePrint.

2007-10-30  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Disable the mail-remote plugin until it can be made to work
	or at least compile again (#491386).

2007-10-25  Sankar P  <psankar@novell.com>

	* configure.in:
	* plugins/external-editor:
	Added new plugins external-editor, which will
	make it possible to use an external editor as 
	the mail composer.

2007-10-23  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in
	* plugins/google-account-setup: Initial commit for the 
	Google Calendar Feature.

	Committing on behalf of Ebby Wiselyn <ebbywiselyn@gmail.com>

2007-10-18  Diego Escalante Urrelo  <diegoe@gnome.org>

	** Fixes bug #476389

	* ui/evolution-mail-message.xml: Reorder the Filter/VFolder menu
	entries to keep consistency between this and the main menu.

2007-10-12  Michael Monreal <michael.monreal@gmail.com>

	** Migration of theme icons to data/icons/ (bug #479257)

	* configure.in: Include new data/icons/ directory.

2007-10-11  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Put a blank line between the configuration summary and the
	final "now type make" message.

2007-10-11  Tobias Mueller  <muelli@auftrags-killer.org>

	** Fixes bug 360134

	* widgets/table/e-table-header-item.c:
	* widgets/table/e-table-field-chooser-dialog.c:
	* widgets/table/e-table-field-chooser-item.c:
	* widgets/table/e-table-field-chooser.c:
	* widgets/misc/e-reflow.c:
	Don't g_strdup strings passed to g_value_set_string since it 
	dups the strings itself.
	
2007-10-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #484814

	* data/evolution.desktop.in.in:
	Modernize the Name and Comment.  Most other applications use the
	form "AppName GenericName" for the Name and "Verb Something" for
	the Comment.  Ours will be:

	    Name: Evolution Mail and Calendar
	    Comment: Manage your email, contacts and schedule

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* tools/killev.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	* iconv-detect.c (main): Remove an unused variable (#483301).

2007-10-08  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Require libbonobo 2.16.0 or later (#483989).

	This is to make sure we pick up the implementation of
	gnome_vfs_mime_get_all_components(), which now lives in
	libbonobo instead of gnome-vfs.

2007-10-03  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Require GTK+ 2.12 (#481325).

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* tools/killev.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* configure.in:
	Bump minimum gnome-icon-theme version to 2.19.91 to ensure we
	get the new mail icons.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Remove the --enable-gtk-doc configure option since we don't
	ship any Gtk-Doc content (#476926).

2007-09-17  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.12.0 release

2007-09-23  Karsten Bräckelmann  <guenther@rudersport.de>

	* configure.in (libgtkhtml_minimum_version): Bump required GtkHTML
	minimum version to 3.16.  Fixes bug #478757.

2007-09-21  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Add sounds/Makefile to AC_OUTPUT.

	* Makefile.am:
	Distribute the "sounds" directory and its contents.  The iCalendar
	importer in calendar still uses "default_alarm.wav" and configure.in
	still defines "soundsdir". (#478704)

2007-09-15  Gabor Kelemen  <kelemeng@gnome.hu>

	* configure.in: Hungarian translation of quickref added: 
			help/quickref/hu/Makefile added to AC_OUTPUT.

2007-09-14  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Remove the --enable-file-chooser option.
	GtkFileChooser has been around since 2004.

2007-09-11  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Add shell/test/Makefile to AC_OUTPUT (#469992).

	* Makefile.am:
	Add --enable-test-component to DISTCHECK_CONFIGURE_FLAGS.

2007-09-10  Sankar P  <psankar@novell.com>

	* configure.in: include help/quickref/fr/Makefile
	to AC_OUTPUT.

2007-09-09  Luca Ferretti  <elle.uca@libero.it>

	* configure.in: include help/quickref/it/Makefile
	to AC_OUTPUT.

2007-09-05  Frederic Crozat  <fcrozat@mandriva.com>

	* configure.in:
	audio-inline plugin has been ported to gstreamer 0.10
	(bug #329629).

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.11.92 release

2007-09-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #201167 by Nathan Owens

	* configure.in:

2007-09-02  Matthew Barnes  <mbarnes@redhat.com>

	* Update FSF address in header comments (#469886).
	  Patch from Tobias Mueller.

2007-08-28  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Add mail/default/pl/Makefile to AC_OUTPUT.

2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.11.91 release

2007-08-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #331174

	* configure.in: Rename KRBx_LDFLAGS to KRBx_LIBS.

2007-08-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #411619

	* configure.in:
	Add appropriate compiler and linker flags to e-util if GTK+
	was built against X11.

2007-08-22  Wang Xin <jedy.wang@sun.com>

	** Fix for bug #468804

	* plugins/mail-to-task/mail-to-task.c: Handle NUll pointer.

2007-08-13 Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.11.90 release

2007-08-10  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	** Fix for bug #444882

	* configure.in: configure options beautification

2007-08-08  Srinivasa Ragavan  <sragavan@novell.com>

	* MAINTAINERS: Updated the email/user id

2007-08-04  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #455799

	Remove all .cvsignore and update svn:ignore porperty in whole
	directories.

2007-07-31  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution 2.11.6.1 release
	
2007-07-30  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution 2.11.6 release
	
2007-07-30  Veerapuram Varadhan  <vvaradhan@novell.com>

	* configure.in: Fix build break due to tnef-attachment plugin
	check - Do not use variable in $all_plugins_experimental.
	
2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: Fixed a build break due totypo error 
	in string libexchange-storage.

2007-07-28  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* configure.in: Enable configure option for support
	exchange-operatoion.

2007-07-27  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Collect all the required package versions in one place and
	explicitly require GTK+ 2.10 or higher.  (#380354)

	* tools/Makefile.am:
	Rename GNOME_FULL_CFLAGS to GNOME_PLATFORM_CFLAGS.

2007-07-17  Sankar P  <psankar@novell.com>

	* configure.in: Included face plugin to sources.
	Helps in attaching Face header to outgoing mails.

2007-07-09  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.11.5 release

2007-07-09  Srinivasa Ragavan <sragavan@novell.com>

	** Added Attachment reminder plugin from Johhny 
	** Added initial tnef attachment plugin Lakke

	* configure.in:

2007-07-03  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* iconv-detect.c: fix iconv-detect.c, second part of bug #444882

2007-07-03  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* acinclude.m4: introducing AC_HELP_STRING to beautify configure,
	fixes part of bug #444882

2007-06-20  Laszlo (Laca) Peter  <laca@sun.com>

	* configure.in: make the path to perl configurable
	  and add addressbook/tools/csv2vcard to AC_OUTPUT.
	  Part of the fix for bug #433732

2007-06-18  Srinivasa Ragavan <sragavan@novell.com>

	** Evolution 2.11.4 release

	* NEWS:
	* configure.in:

2007-06-12  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Detect the X11/XF86keysym.h header, and
	enable multimedia keys if available (Closes: #442631)

2007-06-07  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added help/quickref/pt/Makefile for Portuguese

2007-06-05  Pedro Villavicencio  <pvillavi@gnome.org>

	* configure.in: Add missing mail/default/sv/Makefile to configure.in

2007-06-04  Irene Huang  <irene.huang@sun.com>

	* configure.in: Add configuration option for Sun Kerberos.
	fixing bug #344728

2007-06-04  Srinivasa Ragavan  <sragavan@novell.com>

	** Evolution 2.11.3 release

	* NEWS:
	* configure.in:

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for version removal from Installed files from Gilles Dartiguelongue 

	* configure.in:
	* Makefile.am:
	* server.mk:
	* data/evolution.desktop.in.in

2007-05-25  Stéphane Raimbault  <stephane.raimbault@gmail.com>

	* po/POTFILES.in:
	Remove eggtrayicon.c
	
2007-05-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #424562

	* e-util/e-dialog-utils.c (e_notice):
	Remove check for obsolete GTK+ version.

	* e-util/eggtrayicon.c:
	* e-util/eggtrayicon.h:
	Evolution requires GTK+ 2.10 now so kill this widget.

	* e-util/Makefile.am:
	Remove eggtrayicon.c and eggtrayicon.h.

2007-05-14  Srinivasa Ragavan <sragavan@novell.com>

	** NEWS, configure.in: Evolution 2.11.2 release

2007-05-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #337616

	* Makefile.am:
	Add --disable-scrollkeeper to DISTCHECK_CONFIGURE_FLAGS.

2007-05-08  Wang Xin <jedy.wang@sun.com>

	** Fix for bug #380750

	* configure.in: Make force-shutdown work in Solaris

2007-05-08  Wang Xin <jedy.wang@sun.com>

	* configure.in: Fixes 394579:incompatible awk on Solaris cause
	evolution can not recognize the dbus whose version is newer than
	1.0.0.

2007-05-03  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in: Add mail-notification plugins to the standard plugins.

2007-04-23  Karsten Bräckelmann  <guenther@rudersport.de>

	* configure.in: Fix configure for LDFLAGS=-Wl,--as-needed. Fixes
	bug #319504.

2007-04-23  Srinivasa Ragavan <sragavan@novell.com>

	** NEWS, configure.in: Evolution 2.11.1 release

2007-04-20  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Evolution no longer depends on libgnomeprint[ui]. (#426816)

2007-04-11  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Make the libiconv test program return a value. (#388789)

2007-04-03  Matthew Barnes  <mbarnes@redhat.com>

	* evolution-plugin.pc.in: Require libxml-2.0.

2007-04-03  Srinivasa Ragavan <sragavan@novell.com>

	** Added bogofilter plugin part of the junk plugins.

	* configure.in:

2007-03-26  Harish Krishnaswamy <harish.krishnaswamy@gmail.com>
	
	* MAINTAINERS : Updates on the new guards.

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

	* tools/killev.c (main): Use g_get_language_names() instead of
	gnome_i18n_get_language_list().

2007-03-12  Harish Krishnaswamy <kharish@novell.com>

	* NEWS, configure.in: Evolution 2.10 release updates

2007-02-26  Srinivasa Ragavan <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.9.92 release updates

2007-02-26 Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Update intltool version.

2007-02-12  Srinivasa Ragavan <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.9.91 release updates

2007-02-12  Srinivasa Ragavan <sragavan@novell.com>

	** Fixes bug #373497 
	* configure.in: Patch from Priit Laes for following $prefix settings
	while installing.

2007-01-22  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution 2.9.6 release
	updates.
	
2007-01-22  Sankar P  <psankar@novell.com>

	* configure.in: Added support for configuring the 
	imap-headers plugin.

2006-01-08  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution 2.9.5 release
	updates.

2007-01-08  Veerapuram Varadhan  <vvaradhan@novell.com>

	Patch submitted by Nathan Owens <pianocomp81@yahoo.com) and
	Jerry Yu <jijun.yu@sun.com>
	
	* acinclude.m4: Define PILOT LINK version check macros
	* configure.in: Check for PILOT LINK version 0.12
	
2007-01-07  Andre Klapper  <a9016009@gmx.de>

	* configure.in: fix the build failure caused by 
	SVN revision 33110 (swedish quickref addition).

2006-12-18  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution 2.9.4 release
	updates.

	* configure.in: Bump the required EDS version to 1.9.4

2006-12-04  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution 2.9.3 release
	updates.

2006-11-14  Harish Krishnaswamy  <kharish@novell.com>

	* data/Makefile.am: Install evolution.desktop
	instead of evolution-<version>.desktop.

2006-11-14  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Add targets help/quickref/es/Makefile
	and mail/default/es/Makefile.

2006-11-14  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Reverting the previous patch as it breaks
	the HEAD build. Target Help/C/Makefile was removed from 
	configure.in while Help/Makefile.am still refers to subdirectory
	C. 

2006-11-10  Francisco Javier F. Serrador  <serrador@openshine.com>

	* configure.in: Fixes #76336 and add Spanish quickref.

2006-11-07  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in : Evolution 2.9.2 release
	updates.

2006-11-06  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Move prefer-plain plugin to the 'standard'
	list from 'experimental'.

2006-11-02  Jules Colding  <colding@omesc.com>

	* evolution-shell.pc.in (execversion): Added variable so that 
	the Evolution version is easily deduced programmatically.

2006-10-16  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Evolution 2.9.1 release
	updates.

2006-10-16  Tor Lillqvist  <tml@novell.com>

	* win32/libevolution-mail.def: List the function
	mail_win32_get_mail_thread_queued() instead of the variable
	mail_thread_queued.  (#348212)

2006-10-15  Francisco Javier F. Serrador  <serrador@openshine.com>

	* addressbook/gui/widgets/eab-contact-display.c,
	addressbook/importers/evolution-ldif-importer.c 
 	addressbook/importers/evolution-vcard-importer.c 
 	calendar/importers/icalendar-importer.c 
 	plugins/groupwise-features/properties.glade 
 	plugins/mailing-list-actions/org-gnome-mailing-list-actions.eplug.xml 
 	plugins/save-attachments/org-gnome-save-attachments.xml 
 	shell/shell.error.xml: Fixed some strings to improve gettext
	compendia for translators.
	

2006-10-02  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution 2.8.1 release
	updates.

2006-09-04  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution 2.8.0 release
	updates.

2006-08-21  Srinivasa Ragavan <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.7.92 release.

2006-08-19  Harish Krishnaswamy  <kharish@novell.com>

	* evolution-plugin.pc.in, evolution-shell.pc.in:
	Include rpath in libs specified. Fixes #350385.
	(Patch submitted by Øystein Gisnås)
	
2006-08-07  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution 2.7.91 release 
	updates.
	
2006-07-28  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* configure.in: Added configure script for building
	evolution calendar with cairo support.

2006-07-24  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution 2.7.90 release 
	updates.

2006-07-21  Luca Ferretti  <elle.uca@libero.it>

	* configure.in: add support for xulrunner and seamonkey (NSS and NSPR).
	(committed by Karsten Bräckelmann)

2006-07-22  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* configure.in: Do not assume that only SunOS has pkill because
	other systems (e.g. NetBSD) also have it.  Fix the check that
	looks for an utility to kill a process by name to properly detect
	either pkill or killall.  Fixes bug #336853.

2006-07-13  Andre Klapper  <a9016009@gmx.de>

	* configure.in:
	
	adding localized (german) quick reference card. see bug #307856.

2006-07-12  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Update EDS requirement to
	1.7.4.
	
2006-07-10  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: Evolution 2.7.4 release 
	updates.

2006-07-10  Harish Krishnaswamy  <kharish@novell.com>

	* evolution-shell.pc.in: 
	defined @datarootdir@. Patch submitted by 
	Frederic Peters. 
	
	* evolution-plugin.pc.in : Similar change.
	Fixes #345083.

2006-06-15  Tor Lillqvist  <tml@novell.com>

	* plugin.mk: Must expand also @GETTEXT_PACKAGE@ and @LOCALEDIR@,
	at least the caldav plugin has a .eplug.in file that refers to
	those. (On the other hand, it is questionable whether
	org-gnome-evolution-caldav.eplug.in needs to specify domain and
	localedir at all.)

2006-06-14  Andre Klapper  <a9016009@gmx.de>

	* data/evolution.desktop.in.in: fixing categories, bugzilla entry,
	adding bugzilla component and bugzilla version.
	Fixes bug #335410. Thanks to Vincent Fretin and Olav Vitters.

2006-06-14  Chenthill Palanisamy  <pchenthill@novell.com>
	
	* configure.in: Use libgnomeprint-2.2 >= 2.7.0.

2006-06-12  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS: Release updates.
	* configure.in: Bump version. Evolution 2.7.3 release.

2006-06-12  simon.zheng  <simon.zheng@sun.com>

	Fix for #336453

	* acinclude.m4:
	* configure.in:
	Add SunLDAP library support - a variant of Netscape LDAP.

2006-06-02 Iain Buchanan <iaindb@netspace.net.au>

	* configure.in: Fix typo that caused experimental plugins
	to be skipped.

2006-05-27  Thomas Vander Stichele  <thomas at apestaart dot org>

	* widgets/misc/e-attachment-bar.c: (update):
	  Fix compilation by adding missing (

2006-05-22  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Update intltool requirements.

2006-05-09  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Patch from Brian Pepple to achieve
	GNOME Goal for po/LINGUAS. Closes bug #337965.
	* po/LINGUAS: New file.

2006-05-02  Kjartan Maraas  <kmaraas@gnome.org>

	configure.in: Fix compilation with modern openldap releases.
	Partially fixes bug #325957. Patch from Sushuma Rai.

2006-04-28  Sven Herzberg  <herzi@gnome-de.org>

	reviewed by: Srinivasa Ragavan

	* shell/apps_evolution_shell.schemas.in.in: added boolean key for the
	maximized state of the window
	* shell/e-shell-window.c: added window state saving and updated window
	size saving to work as expected (fixes bug 243962)

2006-04-27  Tor Lillqvist  <tml@novell.com>

	* win32/libemiscwidgets.def: Add e_expander_get_type which now is
	needed when linking libevolution-widgets-a11y.

2006-04-25  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Figure out auto-magically what the mozilla-nss
	pkg-config module name is.

2006-04-24  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates. Bump version.
	***** Release 2.7.1 *****

2006-04-19  Philip Van Hoof  <pvanhoof@gnome.org>

	* shell/main.c: Replaced popt with GOption API

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO.

2006-03-27  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* MAINTAINERS: Changing the maintainers file to reflect
	the current mail maintainers.

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-12  Vladimer Sichinava  <alinux@siena.linux.it>

	* configure.in: Added "ka" Georgian

2006-03-12  Benoît Dejean  <benoit@placenet.org>

	* configure.in:
	* mail/default/Makefile.am:
	* mail/default/fr/Inbox:
	* mail/default/fr/Makefile.am: Added French welcome message.
	
2006-03-03  Andre Klapper  <a9016009@gmx.de>

	* configure.in,
	* mail/default/Makefile.am:
	added support for macedonian (mk) welcome message

2006-03-03  Elijah Newren  <newren@gmail.com>

	* configure.in: added mail/default/lt/Makefile
	Fixes bug 333282. (committed by aklapper)

2006-03-02  Elijah Newren  <newren@gmail.com>

	* configure.in: added mail/default/fi/Makefile
	Fixes bug 333079. (committed by aklapper)

2006-02-28  Andre Klapper  <a9016009@gmx.de>

	* configure.in: added "ta" to ALL_LINGUAS

2006-02-28  Rajesh Ranjan  <rranjan@redhat.com>

	* configure.in: Added "hi" to ALL_LINGUAS

2006-02-13  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Release updates, version bump.
	***** Release 2.5.92 *****

2006-02-21  Arangel Angov  <ufo@linux.net.mk>

	* configure.in: Added "mk" to ALL_LINGUAS.
	
2006-02-13  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates, version bump.
	***** Release 2.5.91 *****

2006-02-13  Andre Klapper <a9016009@gmx.de>
	* data/evolution.desktop.in.in: changed the Comment
	value. Fixes bug 329744 also to my satisfaction. ;-)

2006-02-07  Andre Klapper <a9016009@gmx.de>
	* data/evolution.desktop.in.in: added GTK category.
	Fixes bug 328035.

2006-02-07  Andre Klapper <a9016009@gmx.de>
	* data/evolution.desktop.in.in: added a _GenericName
	value. Fixes bug 329744.

2006-02-06  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, data/Makefile.am,
	data/evolution.desktop.in.in: Remove hard-coded 
	EDS version number. Read it from 
	evolution-data-server.pc instead.

2006-01-30  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: Release updates, version bump.
	***** Release 2.5.90 *****

2006-01-30  Kjartan Maraas  <kmaraas@gnome.org>

	* tools/evolution-launch-composer.c: (do_send):
	Use g_list_delete_link() instead of g_list_remove_link()
	+ g_list_free_1().
	* tools/killev.c: mark a couple vars static and remove a
	stray semi-colon.

2006-01-21  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.
	
2006-01-19  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Fix to allow longer file names 
	on 'make dist' using automake 1.9.

2006-01-17  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: Release updates, version bump.
	***** Release 2.5.5 *****

2006-01-17  Harish Krishnaswamy  <kharish@novell.com>

	Patch submitted by Johnny Jacob <johnnyjacob@gmail.com>
	* configure.in: Add import-ics-attachments to plugins list
	and Makefile target.

2006-01-16  Chenthill Palanisamy  <pchenthill@novell.com>
	
	* configure.in: Use libnotify >= 0.3.0.

2006-01-16  Harish Krishnaswamy <kharish@novell.com>
	
	* configure.in: Add caldav to plugins_base_always
	and Makefile target.

2006-01-11  Harish Krishnaswamy <kharish@novell.com>
	
	* configure.in: Enlose the computed value of MOZILLA_NSS_LIB_DIR
	with quotes as this will be used in the code as a string constant.

2006-01-09  Simon Zheng  <simon.zheng@sun.com>

	* configure.in: Add the macro MOZILLA_NSS_LIB_DIR to store mozilla
	nss library path.

2006-01-07  Tor Lillqvist  <tml@novell.com>

	* server.mk: Add whitespace before all line continuation
	backslashes. Fixes build on Debian-based systems. (#325574,
	Sebastien Bacher)

2006-01-04  Tor Lillqvist  <tml@novell.com>

	* evolution-zip.in: Include also the glade files in the plugins
	directory.

	Include all of etc/gconf in the zipfile. (One should "make
	install" to a temporary directory when building a distribution
	anyway, so only evolution's GConf stuff will be included.)

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates, version bump.
	***** Release 2.5.4 *****

2005-12-22  Tor Lillqvist  <tml@novell.com>

	* configure.in: Fix minor errors in the Network Manager tests.

2005-12-22  Shreyas Srinivasan  <sshreyas@novell.com>

	* configure.in: Network Manager Support- Check if dbus, dbus-glib, 
	nm_glib is present and build Network Manager Support accordingly. 

	* ChangeLog: Remove spurious duplicate entries which seem to have 
	been committed accidently.
	
2005-12-19  Chenthill Palanisamy  <pchenthill@novell.com>
	
	committing for David Trowbridge <trowbrds cs colorado edu>

	* configure.in: Added the plugin for publishing calendar.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* configure.in: Include libedataserver-$EDS_PACKAGE in the
	requirement list for E_WIDGETS.

	Set bindir_in_server_file, privlibexecdir_in_server_file and
	componentdir_in_server_file. On Unix, they are the same as bindir,
	privlibexecdir and componentdir respectively. On Win32, use paths
	relative from lib/bonobo/servers. AC_SUBST these variables.

	* server.mk: Substitute the values above new variables for the
	corresponding @..._IN_SERVER_FILE@ strings in the .server.in.in
	files.

	* addressbook/gui/component/GNOME_Evolution_Addressbook.server.in.in
	* calendar/gui/GNOME_Evolution_Calendar.server.in.in
	* calendar/gui/alarm-notify/GNOME_Evolution_Calendar_AlarmNotify.server.in.in
	* mail/GNOME_Evolution_Mail.server.in.in
	* shell/GNOME_Evolution_Shell.server.in.in
	* shell/GNOME_Evolution_Test.server.in.in: Correspondingly, use
	the @..._IN_SERVER_FILE@ strings.

	* evolution-plugin.pc.in
	* evolution-shell.pc.in: Use @privsolibdir@ to set privlibdir.

2005-12-13  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: added a new variable to include all
	the plugin directories.
	* plugins/Makefile.am: Add all the plugin directories
	in the dist_subdirs, so that dist has all the plugin
	directories even if some package is missing.

2005-12-13  Chenthill Palanisamy  <pchenthill@novell.com>

	* po/POTFILES.in: Removed the entries for 
	e-util/e-component-listener.c and e-util/e-time-utils.c.

2005-12-12  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates, version bump.
	***** Release 2.5.3 *****

2005-12-02  Tor Lillqvist  <tml@novell.com>

	* evolution-zip.in: New file, a script used to build a
	Win32 zipfile distribution of Evolution.

	* Makefile.am
	* configure.in: Distribute and expand it.

2005-11-28  P S Chakravarthi <pchakravarthi@novell.com>

	* configure.in: Added libnotify for use in new
	alarm notification UI.

2005-11-26  Tor Lillqvist  <tml@novell.com>

	* configure.in: Drop the IPv6 and getaddrinfo checks, unused here
	in Evolution. (It's used in e-d-s, though.)

2005-11-23  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in: Made hal dependency optional.

2005-11-16  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* README, removed gal requirement.

2005-11-14  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates, version bump.
	***** Release 2.5.2 *****

2005-10-27  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2005-10-26  Tor Lillqvist  <tml@novell.com>

	* configure.in: Don't require hal on Win32.

2005-10-25  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am: Distclean should remove the header,
	not iconv-detect.c

2005-10-25  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Turn development warning on.
	Bump version to 2.5.1.

2005-10-19  Harish Krishnaswamy <kharish@novell.com>

	Committing for Nathan Owens <pianocomp81@yahoo.com>

	* configure.in: Add views/memos/Makefile,
	calendar/conduits/memo/Makefile to Makefile list

2005-10-18  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in: Added iPod sync e-plugin to experimental plugins.

2005-10-17  Runa Bhattacharjee <runa@bengalinux.org>

	* configure.in : Added Bengali (bn) to ALL_LINGUAS.

2005-10-3  Harish Krishnaswamy <kharish@novell.com>

	* marshal.mk : do not add the srcdir prefix as
	$< already returns the full path.
	Fixes #271308.

2005-09-28  Tor Lillqvist  <tml@novell.com>

	* configure.in: Drop unused SOCKET_LIBS leftover. Don't check for
	OpenLDAP on Win32. Instead, set related variables unconditionally,
	as LDAP support is always present (in <winldap.h> and -lwldap32).
	(CAMEL_EXCHANGE): Add more stuff to CAMEL_EXCHANGE_CFLAGS and
	_LIBS. These are used only in
	plugins/exchange-operations/Makefile.am, and now it's enough to
	use only that CAMEL_EXCHANGE_CFLAGS and _LIBS there.

	* win32/dummy.la: libdir is prefix/lib, not bin.

2005-09-05  Mengjie Yu  <meng-jie.yu@sun.com>

	* configure.in:grep on Solaris doesn't support -q, use > /dev/null instead.

2005-08-28  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Turn stable release bit on. Set
	version to 2.4.0.
	* MAINTAINERS : Update.

2005-08-24  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Enable building of exchange plugins by default.

2005-08-23  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Release 2.3.8

2005-08-21  Jens Seidel  <jseidel@cvs.gnome.org>

	* e-util/e-plugin.c:
	* mail/mail-mt.c:
	* plugins/sa-junk-plugin/em-junk-filter.c: Fixed the typo
	"occured" (also in all effected PO files to avoid fuzzyness)

2005-08-21  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* widgets/misc/e-canvas-background.c:
	* widgets/text/e-entry.c: Resolve Bug #309074 

2005-08-10  Tor Lillqvist  <tml@novell.com>

	* tools/Makefile.am: Don't try to build killev on Win32.

2005-08-09  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2005-08-08  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Release 2.3.7

2005-08-07  Rodney Dawes  <dobey@novell.com>

	* help/C/evolution.xml: Change references to the term "vfolder" to
	use the term "Search Folder" instead

2005-08-04  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS

2005-07-29  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Bump version number
	
	*****Release 2.3.6.1***** includes fix for
	#311731 - (Removing folders from an IMAP) 
	

2005-07-26  Harish Krishnaswamy  <kharish@novell.com>

	* plugins/calendar-weather/Makefile.am:
	* plugins/groupwise-features/Makefile.am:
	* plugins/mail-account-disable/Makefile.am:
	* plugins/mailing-list-actions/Makefile.am:
	* plugins/print-message/Makefile.am: Fix make distcheck issues.

	* configure.in: Bump version number
	***** Release 2.3.6 *****

2005-07-20  Tor Lillqvist  <tml@novell.com>

	* configure.in: Add AC_LIBTOOL_WIN32_DLL. It is apparently
	required when using bleeding edge libtool.

	Enable building with Mozilla nspr and nss on Win32. No -ldl on
	Win32. No import library for softokn3.dll provided by the Mozilla
	people for some reason.

	Add libedataserverui, libglade and gtk+ to the dependencies of
	CERT_UI, as the libraries in smime call functions from them.

2005-07-19  Sankar P  <psankar@novell.com>

	* configure.in : Removed the proxy and proxy-login plugins as they are 
	merged into the groupwise-features plugin.
	
2005-07-13  Tor Lillqvist  <tml@novell.com>

	* configure.in: Add libedataserverui to the IMPORTERS dependency
	list.

2005-07-13  Harish Krishnaswamy <kharish@novell.com>
	
	*configure.in : bump version
	***** Release 2.3.5.1 *****

2005-07-13  Tor Lillqvist  <tml@novell.com>

	* configure.in: Don't attempt to build the sa-junk-plugin on
	Win32, it's very Unix-specific.

	* win32/libevolution-mail.def: Add more entries.

2005-07-12  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: bump version
	***** Release 2.3.5 *****

2005-07-12  Harish Krishnaswamy  <kharish@novell.com>

	* plugins/Makefile.am : Remove groupwise-features
	plugin as it is already listed as a base plugin

2005-07-12  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: Removed the shell/importer from
	AC_OUPUT.
	
2005-07-12  Vivek Jain <jvivek@novell.com>
	
	* configure.in : correted twice inclusion of sa-junk-plugin in
	"plugins_base" section

2005-07-12  Vivek Jain <jvivek@novell.com>
	
	* configure.in : added sa-junk-plugin to 
	base plugins and AC_OUTPUT section

2005-07-11  Sarfraaz Ahmed <asarfraaz@novell.com>

	* plugins/exchange-account-setup : Removed this directory. This
	functionality has now been moved to exchange-operations.

2005-07-11  Srinivasa Ragavan <sragavan@novell.com>
	
	* configure.in: Added gnome-vfs-module-2.0  to E_WIDGETS_CFLAGS 
	for the merged attachment bar.

2005-07-10  Shreyas Srinivasan <sshreyas@novell.com>

	* configure.in: Add mail-account-disable, proxy, proxy-login and
	groupwise-account-setup to the plugin list.
	
2005-07-02  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: bump version

2005-06-27  Tor Lillqvist  <tml@novell.com>

	* configure.in: Drop local mail file lock method tests and the
	option --enable-file-locking, these are not used in evolution. (Is
	used in e-d-s.) Ditto for sendmail operation tests and the
	--with-broken-spool option.

	* win32/libemiscwidgets.def: Add e_selection_model_selection_row_changed.

2005-06-25  Not Zed  <NotZed@Ximian.com>

	* configure.in: remove need to define NULL in getaddrinfo check.

2005-06-25  Not Zed  <NotZed@Ximian.com>

	* configure.in: move prefer-plain and save-attachments to
	experimental where they belong.

2005-06-23  Harish Krishnaswamy <kharish@novell.com>
	
	* configure.in : add mono plugin to the base list only if 
	it was enabled as a configure option.

2005-06-23  Kaushal Kumar  <kakumar@novell.com>

	* e-util/Makefile.am, widgets/e-timezone-dialog/Makefile.am,
	addressbook/gui/search/Makefile.am, 
	plugins/groupwise-features/Makefile.am: Added widgets in INCLUDES.

	Updated the include paths to use misc instead of widgets/misc.
 
2005-06-23  Not Zed  <NotZed@Ximian.com>

	* configure.in: fix the --enable-profiler not to disable otherwise
	enabled plugins.  & added default-mailer plugin stuff.

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* configure.in (EXTRA_GNOME dependencies): Use $FULL_GNOME_DEPS
	here explicitly instead of duplicating the list. In the makefiles
	no need to use both EXTRA_GNOME_CFLAGS and GNOME_FULL_CFLAGS,
	EXTRA_GNOME_CFLAGS is enough. (Ditto for _LIBS.)

	(privsolibdir): New autoconf variable. On Unix it is identical to
	privlibdir, on Win32 identical to libdir.

	There is no RPATH mechanism in Win32 DLLs or EXEs. The intention
	is that Evolution's private shared libraries will be marked in the
	Makefile.am files as privsolib_LTLIBRARIES. They will thus on
	Windows get installed in libdir. The DLLs will actually get
	installed in bindir, thanks to libtool magic. It will thus suffice
	to have bindir in PATH.

	This also means that we can use gnome_win32_get_prefixes() in
	libeutil to find out the installation location on the end-user
	machine based on the location of the DLL. gnome_win32_get_prefixes() 
	assumes the DLL is in a "bin" subfolder of the end-user
	installation prefix.

	* win32/Makefile.am (EXTRA_DIST): Fix typo. Add libetable and
	libetext.

	* win32/libetable.def
	* win32/libetext.def: New files.

	* win32/libemiscwidgets.def: Add new entries.

2005-06-17  Kaushal Kumar  <kakumar@novell.com>

	* Retired GAL from Head. The relevant files have moved inside 
	evolution. Thanks to JP Rosevear for performing the cvs surgery. The 
	files have been moved in the following order.

	evolution/e-util <- gal/gal/util
	evolution/a11y <-  gal/gal/a11y
	evolution/a11y/e-table <- gal/gal/a11y/e-table
	evolution/a11y/e-text <- gal/gal/a11y/e-text
	evolution/widgets/table <- gal/gal/e-table
	evolution/widgets/text <- gal/gal/e-text
	evolution/widgets/misc <- gal/gal/widgets
	evolution/widgets/misc/pixmaps <- gal/gal/widgets/pixmaps
	evolution/widgets/menus <- gal/gal/menus

	Following is the summary of changes done to fix the build:-
	- New files added to cvs repository,
		- a11y/e-table/Makefile.am
		- a11y/e-text/Makefile.am
		- widgets/table/Makefile.am
		- widgets/text/Makefile.am
		- widgets/misc/pixmaps/Makefile.am
		- iconv-detect.h
		- iconv-detect.c
	- Updated configure.in.
	- Updated all the relevant Makefile.am files.
	- Updated the include paths to replace all gal references.
	- Updated the marshal list to suit gal files requirements. 

2005-06-16 Harish Krishnaswamy <kharish@novell.com>
	
	* configure.in : add mono to the plugins list
	
	* data/evolution.desktop.in.in : 
	Fix for	#307176 (patch from Andre Klapper)
	correct the version of evolution-data-server.

2005-06-15  Tor Lillqvist  <tml@novell.com>

	* configure.in: Check for Win32. Define Automake conditional
	OS_WIN32. Define autoconf substitutions SOEXT (.so vs. .dll) and
	NO_UNDEFINED (empty vs. -no-undefined). Check for regexec, perhaps
	in a separate -lregex. Include also camel-provider's CFLAGS and
	LIBS for IMPORTERS. Expand win32/Makefile.

	* Makefile.am (SUBDIRS): Add win32.
	
	* plugin.mk: Expand also @SOEXT@.

	* server.mk: Expand also @SOEXT@ and @EXEEXT@.

	* win32/README
	* win32/Makefile.am
	* win32/dummy.la
	* win32/libemiscwidgets.def
	* win32/libevolution-addressbook.def
	* win32/libevolution-calendar.def
	* win32/libevolution-mail.def
	* win32/libfilter.def: New files. Build bootstrap import libraries
	for some of Evolution's DLLs to work around circular dependencies
	between some of the shared libraries. Circular dependecies are
	problematic on Win32 where one can't have undefined symbols in
	executables (or shared libraries).

2005-06-14  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Add a configure option --enable-exchange to build
	Exchange plugins. Also changed the Exchange plugin name to
	exchange-operations.

2005-06-12  Sarfraaz Ahmed <asarfraaz@novell.com>

	* plugins/exchange-operations : Added a new plugin directory for
	renaming exchange-account-setup as exchange-operations.

2005-06-10  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Added CAMEL_EXCHANGE CFLAGS/LIBS for exchange plugins.

2005-06-07 Harish Krishnaswamy <kharish@novell.com>

	* configure.in: bump version.

2005-05-25  Not Zed  <NotZed@Ximian.com>

	* configure.in: if --enable-mono, then enable the mono plugin.

2005-05-23  Vivek Jain <jvivek@novell.com>
	
	* configure.in : Removed the entries of 
	groupwise-account-setup
	shared-folder
	groupwise-send-options
	groupwise-status-tacking
	send-options
	addressbook-groupwise
	from AC_OUTPUT and base plugins and added
	consolidated 'groupwise-features' plugin to base plugins and 
	AC_OUTPUT

2005-05-19  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: Added a plugin to mark all messages
	as read for the selected and the sub folders to base
	plugin.

2005-05-19  Vivek Jain <jvivek@novell.com>
	
	* configure.in : add print-message plugin to base plugins and 
	 AC_OUTPUT

2005-05-18  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in : Bump version

2005-05-13  Rodney Dawes  <dobey@novell.com>

	* plugins/Makefile.am (DIST_SUBDIRS): Add profiler so that it gets
	disted properly

2005-05-12  Not Zed  <NotZed@Ximian.com>

	* configure.in: Added mail-remote stuff.  an experimental plugin.

2005-05-12  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: check for libsoup-2.4 else fail over
	to libsoup-2.2.

2005-05-06  Not Zed  <NotZed@Ximian.com>

	* plugin.mk: changed .eplug rule to also convert i18n tags if it
	ends in xml.  Also convert .error.xml into .error converting i18n
	tags.

2005-05-06	Srinivasa Ragavan <sragavan@novell.com>

	* addressbook/gui/component/ldap-config.glade: Changed string 'login'
	* mail/evolution-mail.schemas.in.in: Rephrased photo string
	* mail/mail-config.glade: Rephrased photo string
	* ui/evolution-mail-message.xml: Changed 'From' to 'from'
	
2005-05-05  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: reset upgrade revision to 0

2005-05-04 Amish <lists@munshi.biz>
	
	* evolution-plugin.pc.in, evolution-shell.pc.in : use
	@GAL_PACKAGE@ instead of hardcoding the version. Fixes
	evolution-exchange build issues.
	
2005-04-28  Not Zed  <NotZed@Ximian.com>

	* configure.in: add an --enable-profiling arg, build the profiling
	plugin optionally as well.

2005-04-26  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in : Bump version

2005-04-25  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Bump libsoup requires.

2005-04-20  James Henstridge  <james@jamesh.id.au>

	* configure.in (EVO_SET_COMPILE_FLAGS): fix up macro so that it
	doesn't trigger configure failures with newer versions of
	pkg-config.  Fixes bug #300436.

2005-04-11  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: bump version, requires

2005-03-11  David Malcolm  <dmalcolm@redhat.com>

	* configure.in: set up DBUS_VERSION for use in the new-mail-notify
	plugin 

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-29  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-27  Ahmad Riza H Nst  <ari@160c.afraid.org>

	* configure.in: Added id (Indonesian) to ALL_LINGUAS line.

2005-03-21  Radek Doulik  <rodo@novell.com>

	* configure.in: require gtkhmtl 3.7.0 with 3.8 package/api version

2005-03-21  Philip Van Hoof  <pvanhoof@gnome.org>

	* configure.in: Fix for #73917
	
2005-03-16  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-03-07  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requires

2005-02-28  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requires

2005-02-28  JP Rosevear  <jpr@novell.com>
  
  	* configure.in: add startup wizard plugin
	
2005-02-28  JP Rosevear  <jpr@novell.com>
  
  	* plugins/Makefile.am: dist standard and experimental plugins
  
  	* configure.in: move "all" plugins to standard and experimental
  	and default to building the standard set
 		
2005-02-27  JP Rosevear  <jpr@novell.com>

	* configure.in: add mail/default/de to ac_output to fix the build

2005-02-23  Björn Torkelsson <torkel@acc.umu.se>

	* Makefile.am (DISTCLEANFILES): remove *.pc and intltool-*
	files generated by configure when running make distclean.

2005-02-23  Hans Petter Jansson  <hpj@novell.com>

	* configure.in: Make mailer depend on libedataserverui.

2005-02-22  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in: Depend on gnome-vfs >= 2.4

2005-02-22  Rodney Dawes  <dobey@novell.com>

	* data/Makefile.am (CLEANFILES): add new variable with the generated
	keys and desktop file listed so that they get removed with make clean
	(EXTRA_DIST): Don't dist the generated keys file

2005-02-01  Priit Laes <amd@store20.com>

	* configure.in : Remove duplicate entries for addressbook-groupwise,
	groupwise-status-tracking and default-source in plugins list. Fixes
	make distclean.

2005-02-01  JP Rosevear  <jpr@novell.com>

	* MAINTAINERS: Update

2005-02-01  Priit Laes <amd@store20.com>

	* configure.in : Remove duplicate entry for calendar-file in
	plugins list.

2005-01-30  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Correct the typo in plugins_base made in
	the commit below - let the HEAD to get built again.
	
2005-01-29  Sivaiah Nallagatla <snallagatla@novell.com>

	* configure.in : add addressbook-groupwise plguin to the 
	plguin list 

2005-01-26  Rodney Dawes  <dobey@novell.com>

	* configure.in: Add mail/default/pt/Makefile to AC_OUTPUT

2005-01-24  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version and requires

2005-01-21  JP Rosevear  <jpr@novell.com>

	* configure.in: e-util needs libgnomeprintui now 

2005-01-21  Sivaiah Nallagatla <snallagatla@novell.com>
                                                                               
        * configure.in : added addressbook-file plugin 

2005-01-21  Sivaiah Nallagatla <snallagatla@novell.com>

	* configure.in : added default-source plugin  

2005-01-20  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* configure.in : added a plugin for displaying the
	  groupwise status tracking options

2005-01-13  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version to 2.1.3.2

2005-01-13  Rodney Dawes  <dobey@novell.com>

	* configure.in: Add new-mail-notify to the plugins_all listing
	so that it gets disted properly

2005-01-12  JP Rosevear  <jpr@novell.com>

	* configure.in: fix plugin listing, bump upgrade revision so
	weather calendar group appears

2005-01-10  JP Rosevear  <jpr@novell.com>

	* configure.in: make itip-formatter a base plugin

2005-01-11  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version

2005-01-11  Not Zed  <NotZed@Ximian.com>

	* configure.in: added new mail plugin & checks.

2005-01-10  Sushma Rai  <rsushma@novell.com>

	* configure.in: Added Exchange account settings plugin

2005-1-10  Parthasarathi Susarla <sparthasarathi@novell.com>
        * configure.in : added send options plugin to base plugin list

2005-01-10 Vivek Jain <jvivek@novell.com>

	* configure.in : Add shared-folder to plugin 
	 and base plugin list. Add corresponding Makfile to AC_OUTPUT section.

2005-01-10 Chenthill Palanisamy <pchenthill@novell.com>

	* configure.in: add send-options plugin

2005-01-09  JP Rosevear  <jpr@novell.com>

	* configure.in: add calendar-file plugin

2005-01-08 Priit Laes <amd@store20.com>
	
	* configure.in : Remove duplicate entry for itip-formatter in
	plugins list.

2005-01-08 Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Add gnome-vfs-module-2.0 to Evo compile flags for
	the calendar.

2005-01-08  Hans Petter Jansson  <hpj@novell.com>

	* configure.in: Add libedataserverui to the e-util libs and cflags.

2005-01-07  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: removed weatherdatadir definition here.

2005-01-07  David Trowbridge <David.Trowbridge@Colorado.edu>

	* configure.in: added calendar-weather plugin to build.

2005-01-06  JP Rosevear  <jpr@novell.com>

	* data/Makefile.am: add some uninstall rules for local data

2005-01-03  JP Rosevear  <jpr@novell.com>

	* configure.in: add itip-formatter to the "all" list, its not
	ready to be in the base yet though

2004-12-23  Hans Petter Jansson  <hpj@novell.com>

	* configure.in: Remove select-names from Makefile output list.

2004-12-17  Not Zed  <NotZed@Ximian.com>

	* devel-docs/misc/errors.txt (BUILT_SOURCES): add translation stuff.

2004-12-16  Not Zed  <NotZed@Ximian.com>

	* Makefile.am, configure.in: added evolution-plugin.pc, pkg-config
	file required for plugin development.

2004-12-20  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requires

2004-12-14  JP Rosevear  <jpr@novell.com>

	Fixes #6066
	
	* README.translators: New information for translators

	* README: Update slightly for 2.1/2.2

2004-12-14  Rodney Dawes  <dobey@novell.com>

	* configure.in (AC_OUTPUT): Add mail/default/zh_CN/Makefile

2004-12-08  Hans Petter Jansson  <hpj@novell.com>

	* plugins/shared-folder/share-folder-common.c: Include
	<libebook/e-destination.h> from evolution-data-server.

2004-12-03  Sivaiah Nallagatla <snallagatla@novell.com>

	* configure.in : Add groupwise-account-setup to plguin 
	 and base plugin list. Add corresponding Makfile to AC_OUTPUT section.
	
2004-12-01  Dafydd Harries  <daf@muse.19inch.net>

	* configure.in: Add "cy" (Welsh) to ALL_LINGUAS.

2004-11-29  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requires

2004-12-02  Not Zed  <NotZed@Ximian.com>

	* configure.in: Make evolution mail link to camel-provider not
	camel only.  Removed some camel stuff.

2004-11-16  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (SUBDIRS): removed camel.

	* configure.in: Removed camel building, fixed module includes to
	use camel via packageconfig.

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* configure.in: Added libeds to camel and mail and filter cflags.

2004-11-09  Rodney Dawes  <dobey@novell.com>

	* configure.in: Add AC_SUBST for plugins_base also

	* plugins/Makefile.am: Add plugins_base to DIST_SUBDIRS so that we
	dist the plug-ins we actually build by default

2004-11-04  Not Zed  <NotZed@Ximian.com>

	* configure.in: added mailing-list-actions plugin.

2004-11-04  Not Zed  <NotZed@Ximian.com>

	* configure.in: modified base vs optional logic slightly and added
	a warning if you build with --enable-plugins=no.

2004-11-04  David Trowbridge <David.Trowbridge@Colorado.edu>

	* configure.in: Added calendar-http module, and setup a mechanism
	for base vs optional plugins.

2004-11-03  JP Rosevear  <jpr@novell.com>

	* configure.in: fix the logic
	
2004-11-03  JP Rosevear  <jpr@novell.com>

	* configure.in: handle plain --enable-plugins and
	--enable-plugins=yes by making it the equivalent of "all"		

2004-11-03  Not Zed  <NotZed@Ximian.com>

	* configure.in: added plugin-manager plugin.

2004-11-01  JP Rosevear  <jpr@novell.com>

	* Makefile.am: dist plugin.mk

2004-10-29  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: added mail-to-meeting plugin.

2004-10-28 Nat Friedman <nat@novell.com>

	* configure.in: Re-enable bbwhatever becuase I think it works now.

2004-10-27  JP Rosevear  <jpr@novell.com>

	* configure.in: revive E_WIDGETS_CFLAGS/LIBS because of needing to
	add libedataserverui

2004-10-27  Not Zed  <NotZed@Ximian.com>

	* configure.in: removed bbwhatever it is until the makefiles are
	fixed.

2004-10-25  Radek Doulik  <rodo@ximian.com>

	* configure.in: added audio-inline plugin, added gstreamer check
	for it

	if gstreamer is not available, remove audio-inline plugin from the
	plugins list

2004-10-22  Harish K  <kharish@novell.com>

	* configure.in: Added mark-calendar-offline plugin

2004-10-22  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Added folder-unsubscribe plugin

2004-10-22  Nat Friedman <nat@novell.com>

	* configure.in: Added the bbdb plugin.

2004-10-21  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: added save-calendar plugin.

2004-10-21  Not Zed  <NotZed@Ximian.com>

	* configure.in: added copy-tool plugin.

2004-10-20  JP Rosevear  <jpr@novell.com>

	* configure.in: add select-one-source to the plugin list

2004-10-20  Not Zed  <NotZed@Ximian.com>

	* configure.in: added prefer plain plugin.
	
2004-10-20  Not Zed  <NotZed@Ximian.com>

	* configure.in: added save attachments plugin.

2004-10-20  JP Rosevear  <jpr@novell.com>

	* Makefile.am: list plugins as a subdir

	* plugins/Makefile.am: build enabled plugins

	* plugin.mk: simple rule for creating .eplug files

	* configure.in: add plugin foo; --enable-plugins=all turns them
	all on, or you can --enable-plugins="<plugin dir> <plugin dir>" to
	list specific ones

2004-10-15  Sarfraaz Ahmed <asarfraaz@novell.com>
	
	* camel.pc.in : Change gal-2.2 to gal-2.4
	* evolution-shell.pc.in : Similar

2004-10-13  JP Rosevear  <jpr@novell.com>

	* configure.in: remove plugins from ac output
	
2004-10-13  JP Rosevear  <jpr@novell.com>

	* configure.in: pull in libedataserverui as appropriate

2004-10-01  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in (localedir): Enable imap4 plugin by default. We
	need to get people building this and testing it.

2004-10-01  JP Rosevear  <jpr@novell.com>

	* configure.in: set the GETTEXT_PACKAGE to evolution-2.2
	
2004-10-01  JP Rosevear  <jpr@novell.com>

	* configure.in: set a GTKHTML_API_VERSION variable

2004-09-13  Not Zed  <NotZed@Ximian.com>

	* configure.in: change the way ipv6 stuff is done.  separate ipv6
	setting from getaddrinfo call check, and default to on if the
	interfaces are available.

2004-09-17  William Jon McCann  <mccann@jhu.edu>

	* configure.in: Fix typos in gal dependency.

2004-09-16  JP Rosevear  <jpr@novell.com>

	* configure.in: use AC_DEFINE properly
	
2004-09-16  JP Rosevear  <jpr@novell.com>

	* configure.in: bump EDS and gal requirements

2004-09-16  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version to 2.1.0 and set base version to 2.2;
	define DEVELOPMENT here so we don't have to alter code to change
	in future

2004-09-13  Tomasz Kłoczko <kloczek@pld.org.pl>

	* data/evolution.desktop.in: added missing Encoding=UTF-8 field 
	  (validate desktop file).

2004-09-11  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.
	
2004-08-27  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requirements

2004-08-23  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Added some comments about --enable-openssl
	(e.g. why it is disabled)

2004-08-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added «nb» to ALL_LINGUAS.

2004-08-13  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version. requires

2004-08-13  Rodney Dawes  <dobey@novell.com>

	* acinclude.m4: Revert previous EVO_LDAP_CHECK changes, aren't working
	as well as expceted and determined in testing

2004-08-13  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* configure.in:
	Add option to specify location of kerberos 4/5 libraries and
	headers directories.
	Needed for 64bits support.

2004-08-13  Rodney Dawes  <dobey@novell.com>

	* configure.in: Add value and description fields to AC_DEFINE calls
	for the HAVE_ET_COM_ERR_H and HAVE_COM_ERR_H checks

2004-08-13  Rodney Dawes  <dobey@novell.com>

	* acinclude.m4: Remove EVO_CHECK_LIB
	Update EVO_LDAP_CHECK to support --with-openldap-{libs,includes}
	Sync with e-d-s acinclude.m4 (Adds GTK_DOC_CHECK)

2004-08-13  Rodney Dawes  <dobey@novell.com>

	* configure.in: Check for et/comm-err.h and comm_err.h so that
	we can include the correct one

2004-08-12  Rodney Dawes  <dobey@novell.com>

	* data/evolution.desktop.in.in: Update Name and description to
	not include "Ximian" or "(Unstable)"
	Remove the MimeType field since we can't open these types on the
	command line

2004-08-12  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Check for gtk+-2.4 in order to enable the use of
	GtkFileChooser.

2004-08-09  Ankit Patel <ankit@redhat.com>

	* configure.in: Gujarati & Panjabi Languages added

2004-08-02  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requirements

2004-08-01  JP Rosevear  <jpr@novell.com>

	* configure.in: add libedataserver to E_UTIL flags

2004-07-25  Gil Osher  <dolfin@rpg.org.il>

	* configure.in: Added 'he' (Hebrew) to ALL_LINGUAS.

2004-07-21  Ray Strode  <rstrode@redhat.com>

	* evolution/data/evolution.desktop.in.in: Add MimeType line to
	desktop file new mime sytem.

2004-07-19   JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requirements

2004-07-07  Chris Toshok  <toshok@ximian.com>

	* configure.in: add CAMEL_GROUPWISE cflags/libs.

2004-07-02  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requirements

2004-08-24  JP Rosevear  <jpr@novell.com>

	* configure.in (plugindir): set a plugin dir so we can easily
	install to the same place everywhere
	
2004-08-24  JP Rosevear  <jpr@novell.com>

	* configure.in: Check for mono support properly

2004-07-05  Not Zed  <NotZed@Ximian.com>

	* configure.in: add some mono checks.

2004-06-24  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Walloon (wa) to ALL_LINGUAS.

2004-06-20  Arafat Medini <lumina@silverpen.de>

	* configure.in: Added arabic locale ar to ALL_LINGUAS.

2004-06-17  Fernando Herrera  <fherrera@onirica.com>

	* data/evolution.desktop.in.in: Use "Evolution" for 
	X-GNOME-Bugzilla-Product to match b.x.c product name.

2004-06-09  Dan Winship  <danw@novell.com>

	* configure.in (AC_OUTPUT): Remove shell/glade/Makefile, which has
	been merged into shell/Makefile

2004-06-03  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, requirements

2004-06-02  Chris Toshok  <toshok@ximian.com>

	* configure.in (EDS_REQUIRED): bump to 0.0.93.1.
	(BASE_VERSION): change to 12 for the ESource absolute_uri stuff.

2004-06-01  Not Zed  <NotZed@Ximian.com>

	* configure.in: check for statvfs.

2004-05-24  Chris Toshok  <toshok@ximian.com>

	* configure.in: add addressbook/tools/Makefile.am back to the
	build.

2004-05-19  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Setup the icon install paths (not that we actually
	use them yet).

2004-05-19  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* configure.in: add some stuff for statfs.

	* devel-docs/misc/errors.txt: updated for xml format and i18n
	changes.

2004-04-30  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Require intltool 0.30 for the error xml files

2004-04-30  Mike Castle <dalgoda@ix.netcom.com>

	* data/Makefile.am (install-data-local): get the mime file from
	src dir for srcdir != builddir

2004-04-30  Not Zed  <NotZed@Ximian.com>

	* tools/killev.c (main): use gnome_i18n_get_language_list so we
	get the right one (LC_MESSAGES).

2004-04-26  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in (UPGRADE_REVISION): Changed to 11.

2004-04-26  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in (UPGRADE_REVISION): Changed to 10.

2004-04-26  Radek Doulik  <rodo@ximian.com>

	* configure.in: require newer gtkhtml with new gtk_html_begin's
	flags

2004-04-21  Rodney Dawes  <dobey@ximian.com>

	* autogen.sh: Require automake 1.6 or neweer, we already do for libsoup
	and evolution-data-server, there is no reason not to here

2004-04-21  Chris Toshok  <toshok@ximian.com>

	* configure.in (EDS_REQUIRED): bump to 0.0.92.1 for new EContact
	company phone foo.
	(UPGRADE_REVISION): bump to 9.

2004-04-21 Sivaiah Nallagatla <snallagatla@novell.com>

	* configure.in : added libegroupwise dependency to CAMEL 
	 compile flags 

2004-04-19  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Require gnome-icon-theme >= 1.2.0

2004-04-19  Michael Terry  <mike@mterry.name>

	* data/evolution.desktop.in.in: Use the icon theme

2004-04-19  JP Rosevear <jpr@ximian.com>

	* configure.in: bump version, requirements

2004-04-09  Chris Toshok  <toshok@ximian.com>

	* configure.in (UPGRADE_REVISION): bump to 8 for new contact list
	migration, since there was a bug in the shell that caused all
	migration to fail, but the key was still updated.
	
2004-04-09  Chris Toshok  <toshok@ximian.com>

	* configure.in (UPGRADE_REVISION): bump to 7 for new contact list
	migration.

2004-04-08  Chris Toshok  <toshok@ximian.com>

	* configure.in (UPGRADE_REVISION): add a new variable that should
	be bumped whenever a migration change happens in any component.

2004-04-07  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS

2004-04-02  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version, requirements

2004-03-22  Radek Doulik  <rodo@ximian.com>

	* configure.in: require gtkhtml 3.1.10, it's needed for composer
	changes

2004-03-15  Hao Sheng <hao.sheng@sun.com>

	* a11y/addressbook/Makefile.am: make distcheck work
	* a11y/calendar/Makefile.am: make distcheck work

2004-03-15  Hao sheng  <hao.sheng@sun.com>

	* configure.in: add a11y/addressbook/Makefile	

2004-03-05  JP Rosevear <jpr@ximian.com>

	* configure.in: bump version, requirements

2004-03-02  Dan Winship  <danw@ximian.com>

	* configure.in (DATASERVER_API_VERSION): Define this (the number
	used in the e-d-s component repo_ids).

	* tools/killev.c (main): Update the repo_ids

2004-02-26  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Fixed the ENABLE_SMIME conditional to work. Fixes
	the addressbook relocation error.

2004-02-25  Chris Toshok  <toshok@ximian.com>

	* configure.in: add "$xhave_nss = xyes" to the AM_CONDITIONAL for
	ENABLE_SMIME.

2004-02-24  JP Rosevear <jpr@ximian.com>

	* marshal.mk: make sure to use the srcdir to build the list

2004-02-23  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Fix a typo in the smime check, so it actually works

2004-02-23  Adam Weinberger <adamw@FreeBSD.org>

	* configure.in: Added "en_CA" (Canadian English) to ALL_LINGUAS.

2004-02-19  Chris Toshok  <toshok@ximian.com>

	* configure.in: add AC_ARG_ENABLE(smime...) -- "finally", i can
	hear the people rejoice.  Only check the --enable-smime status if
	--enable-ssl is also "yes".  AC_DEFINE (ENABLE_SMIME) if smime is
	enabled.

2004-02-18  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Require ORBit 2.9.8 or newer

2004-02-12  Dan Winship  <danw@ximian.com>

	* Makefile.am (%-$(BASE_VERSION).pc): cp the unversioned file
	rather than mv'ing it so it doesn't get regenerated at install
	time.

2004-02-11  Not Zed  <NotZed@Ximian.com>

	* configure.in (IMPORTERS_*): Added libebook-1.0.  Added back
	mail/importers/Makefile.am.

2004-02-10  JP Rosevear <jpr@ximian.com>

	* configure.in: Add addressbook/importers to AC_OUTPUT

2004-02-09  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version, requirements

2004-02-09  Rodney Dawes  <dobey@ximian.com>

	* tools/killev.c: Use the AlarmNotify_Factory for --force-shutdown

	Fixes #54084

2004-02-09  Rodney Dawes  <dobey@ximian.com>

	* data/evolution.desktop.in.in: Updated BugzillaOtherBinaries tag

2004-01-28  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Revert previous change.

2004-01-28  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Update to require glib-2.0 >= 2.3.2 (needed for
	some GValue usage).

2004-01-28  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Disable the possibility of using OpenSSL until someone
	decides it is worthy and ends up maintaining the code, though porting
	to GNUTLS would probably be a better option, if that happens

2004-01-26  David Trowbridge <trowbrds@cs.colorado.edu>
 
 	* configure.in: add facilities for installing a help dir
	
2004-01-26  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump requirements, version

2004-01-24  Sanlig Badral  <badral@openmn.org>

	* configure.in: added "mn" to ALL_LINGUAS.

2004-01-22  Rodney Dawes  <dobey@ximian.com>

	* data/Makefile.am: Add rule to substitute BASE_VERSION in keys
	* data/evolution.keys.in: Removed this file from CVS
	* data/evolution.keys.in.in: Update to use BASE_VERSION and the
	new addressbook vcard control that replaces the MiniCard control

2004-01-22  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Don't require $LIBBONOBOUI_REQUIRED version of
	libbonobo

2004-01-16  Not Zed  <NotZed@Ximian.com>

	* configure.in: added mail/default/Makefile and
	mail/default/C/Makefile.

2004-01-13  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Check for libsoup separately

2004-01-12  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version and requirements

2004-01-12  JP Rosevear <jpr@ximian.com>

	* configure.in: add soup as a calendar dep

2004-01-12  Meilof Veeningen  <meilof@wanadoo.nl>

	* configure.in: enable NNTP support by default

2004-01-12  JP Rosevear <jpr@ximian.com>

	* configure.in: compile flags for the test component and a
	conditional compile

2004-01-11  JP Rosevear <jpr@ximian.com>

	* configure.in: dont kill the quote

2004-01-11  JP Rosevear <jpr@ximian.com>

	* configure.in: add enable option to build test component

2004-01-08  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Add BONOBOUI_REQUIRED variable and depend on
	libbonoboui >= 2.4.3, add an AC_SUBST() for EDS_REQUIRED also
	* evolution-shell.pc.in: Require the same version of bonoboui that we
	do in configure.in

2004-01-08 Sivaiah Nallagatla <snallagatla@novell.com>

	* configure.in : add camel/providers/groupwise/Makefile to
	AC_OUTPUT section

2004-01-08  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-01-05  JP Rosevear <jpr@ximian.com>

	* tools/Makefile.am: Add e-util libs

	* configure.in: try compiling with sys/types for freebsd

	(Joe Marcus Clarke <marcus@freebsd.org>)	

2004-01-05  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2004-01-01  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" (Persian) to ALL_LINGUAS.

2003-12-30 Nicel KM <mnicel@novell.com>

	* configure.in: removed default_user directory references from AC_OUTPUT

2003-12-29  JP Rosevear <jpr@ximian.com>

	* configure.in: default_user is gone

	* Makefile.am: ditto

2003-12-29  JP Rosevear <jpr@ximian.com>

	* configure.in: bump version and gal, e-d-s and gtkhtml
	requirements

2003-12-22  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in: added camel/providers/groupwise to the build.

2003-12-15  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (ACLOCAL_AMFLAGS): remove.

2003-12-07  JP Rosevear  <jpr@ximian.com>

	* configure.in: update version reliance

2003-12-06  JP Rosevear <jpr@ximian.com>

	* tools/Makefile.am: Remove hard coded disable deprecated flags

2003-12-05  Radek Doulik  <rodo@ximian.com>

	* configure.in: require gtkhtml 3.1.3 (new gtk_html_flush method
	to be used in mailer)

2003-12-04  Christian Hammond  <chipx86@gnupdate.org>

	* art/im*.png, art/Makefile.am: Added IM png files from Gaim.

2003-12-02  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in (EVOLUTION_DIR): Remove the Junk folder

2003-12-01  Rodney Dawes  <dobey@ximian.com>

	* data/Makefile.am: Install evolution.desktop as
	evolution-$(BASE_VERSION).desktop
	* data/evolution.desktop.in: Remove generated file
	* data/evolution.desktop.in.in: Add (Unstable) to name
	Fix comment to be more correct and have correct capitalization

2003-12-01  Rodney Dawes  <dobey@ximian.com>

	* tools/killev.c: Use BASE_VERSION for repo_ids and OAFIIDs,
	Update gnome-spell repo_id to correct version,
	Update gtkhtml editor OAFIID to GtkHTML 3.1

2003-12-01  JP Rosevear <jpr@ximian.com>

	* configure.in: define privconduitdir

2003-11-28  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Look for mozilla-nss.pc, not mozilla.pc.

2003-11-26  JP Rosevear  <jpr@ximian.com>

	* configure.in: make sure the mozilla .pc file exists before
	checking for it

2003-11-24  Rodrigo Moya <rodrigo@ximian.com>

	* tools/killev.c (main): kill Evo 2.0's alarm daemon, not 1.4's.

2003-11-19  JP Rosevear <jpr@ximian.com>
	
	* MAINTAINERS: Update

2003-11-18  JP Rosevear <jpr@ximian.com>

	* configure.in: remove db3 check

2003-11-18  Rodrigo Moya <rodrigo@ximian.com>

	* tools/killev.c (main): kill the alarm notification service, not
	the factory, which no longer exists.

2003-11-17  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: make sure server.mk is disted

2003-11-17  JP Rosevear <jpr@ximian.com>

	* Makefile.am (EXTRA_DIST): do the right thing for disting

2003-11-17  JP Rosevear <jpr@ximian.com>

	* configure.in: use the server.mk file to get rules for building
	versioned .server files

	* */Makefile.am: use simplified rule subst
	
2003-11-17 JP Rosevear <jpr@ximian.com>

	* Makefile.am: Install versioned package config files

2003-11-14  JP Rosevear <jpr@ximian.com>

	* configure.in: make source selector flags/libs

2003-11-14  JP Rosevear <jpr@ximian.com>

	* MAINTAINERS: Update

2003-11-11  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (SUBDIRS): remove libversit from the build.

	* configure.in (CERT_UI): change the libraries we link.
	(AC_OUTPUT): remove libversit/Makefile

2003-11-11  JP Rosevear <jpr@ximian.com>

	* configure.in: determine the e-d-s version, version the gettext
	files properly

2003-11-07  Dan Winship  <danw@ximian.com>

	* configure.in (AC_OUTPUT): Remove e-util/ename/Makefile

2003-11-07  JP Rosevear <jpr@ximian.com>

	* configure.in: we don't have to configure the libical subdir now

2003-11-07  JP Rosevear <jpr@ximian.com>

	* configure.in: pull in evolution-data-server stuff and remove
	backends from output

2003-10-31  JP Rosevear <jpr@ximian.com>

	* configure.in: set up vars and rules for versioning the .server
	files

	* Makefile.am's: use rules for versioning .server file, ensure
	built files are removed before disting
	
2003-10-30  Chris Toshok  <toshok@ximian.com>

	* configure.in: (AC_OUTPUT): remove smime/tests for now.

2003-10-30  Chris Toshok  <toshok@ximian.com>

	* configure.in: set enable_smime=yes wherever nss would be
	enabled..  fixes manually specifying the nss libs and enabling the
	smime ui.  Also, add a section for generating the correct SMIME UI
	flags.  gross, but necessary.  it should probably be wrapped in
	with all the other nss library crap.
	(AC_OUTPUT): add smime/tests

2003-10-29  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (SUBDIRS): use $SMIME_DIR. instead of explicitly
	including smime.

	* configure.in: add some smime foo - a status message, an
	AM_CONDITIONAL (ENABLE_SMIME)

2003-10-17  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: added a configure check for AI_ADDRCONFIG

2003-10-24  Dan Winship  <danw@ximian.com>

	* libversit/Makefile.am: Change YFLAGS to AM_YFLAGS to stop an
	automake 1.7 warning

2003-10-23  Rodney Dawes  <dobey@ximian.com>

	* confiugre.in: Remove mail/importers/Makefile from AC_OUTPUT
	yet again

2003-10-23  Chris Toshok  <toshok@ximian.com>

	* configure.in: add smime/* dirs. to AC_OUTPUT.

	* Makefile.am (SUBDIRS): add smime/.

2003-10-23  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* configure.in: Check for gnome-thumbnail.h existence 
	(really committed this time).
	
2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* configure.in: Set $ACLOCAL to have the $ACLOCAL_FLAGS in it, so
	it doesn't fail to regenerate the files if you run make without a
	manual autogen after making changes to configure.in and friends.
	[Many thanks to Marco Pesenti Gritti for pointing out the fix to
	me.]

2003-10-22  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Require ORBit 2.8.0 or newer for threading

2003-10-22  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Revert broken previous commit and actually remove
	mail/importers/Makefile from AC_OUTPUT

2003-10-22  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Removed mail/importers/Makefile from AC_OUTPUT

2003-10-22  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Removed addressbook/tools/Makefile from AC_OUTPUT

2003-10-22  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Removed pedantic pgp/mime configure flag.

2003-10-22  Dan Winship  <danw@ximian.com>

	* executive-summary/*: Removed; this code has not been used since
	pre-1.0.

	* importers/*: Removed; the actual importers were moved to
	{mail,calendar}/importers long ago.

	* my-evolution/*: Removed; gone in evolution 2.0.

	* notes/*: Removed; never finished and no one is working on it.

	* omf-install/*: Removed; part of old doc system

	* tests/*: Removed; these are ancient. Camel regression tests are
	in camel/tests now.

	* configure.in (E_UTIL_{CFLAGS,LIBS}): Remove soup-2.0 since
	e-proxy is gone.
	(EVOLUTION_MAIL_{CFLAGS,LIBS}): Remove soup-2.0 since the mailer
	uses CamelHTTPStream now.
	(EVOLUTION_EXECUTIVE_SUMMARY_{CFLAGS,LIBS}): Gone
	(AC_OUTPUT): Remove my-evolution/Makefile

	* README: evolution no longer depends on soup

2003-10-21  Dan Winship  <danw@ximian.com>

	* configure.in (GNOME_COMPILE_WARNINGS): Turn off the annoying
	"comparison between signed and unsigned" warning in gcc 3.3

	* evolution-calendar.pc.in (Cflags): add
	-I${privincludedir}/libical

2003-10-08  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* configure.in: Check for gnome-thumbnail.h existence.

2003-09-04  Dan Winship  <danw@ximian.com>

	* camel.pc.in (Requires): 
	* evolution-addressbook.pc.in (Requires): 
	* evolution-calendar.pc.in (Requires): 
	* evolution-shell.pc.in (Requires): Require gal-2.2

2003-08-27  Bolian Yin <bolian.yin@sun.com>

	* configure.in: add a11y/widgets/Makefile
	* Makefile.am: move a11y directory before widgets directory.

2003-08-21  Not Zed  <NotZed@Ximian.com>

	* HACKING: Wrote one.

2003-08-20  Bolian Yin <bolian.yin@sun.com>

	* configure.in: Add a11y checking, and a11y Makefiles
	* Makefile.am: add a11y subdirectory

2003-08-13  Mike Kestner  <mkestner@ximian.com>

	* configure.in: don't make 1.5 the default version (ie LN_S)
	update to use gal-2.2

2003-08-01  Not Zed  <NotZed@Ximian.com>

	* configure.in: Add option for '--enable-imapp', for 'new' imap
	code.

2003-07-26  Larry Ewing  <lewing@ximian.com>

	* configure.in: use libgtkhtml-3.1 for linking.

2003-07-26  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Bump version to "1.5", so that we end up being
	parallel installable with 1.4 again, but we can still release
	a "1.5.0" tarball when we get to that point in 6 months
	
2003-07-23  Dan Winship  <danw@ximian.com>

	* configure.in: Define EVO_MARSHAL_RULE, which creates glib
	marshaller .c and .h files that don't cause gcc warnings

	* marshal.mk: The Makefile fragment used by EVO_MARSHAL_RULE.
	(Can't include newlines in an AC_SUBST, so we have to use
	AC_SUBST_FILE)

	* Makefile.am (EXTRA_DIST): add marshal.mk

2003-07-20 Hasbullah Bin Pit <sebol@ikhlas.com>

	*configure.in: Added 'ms' (Malay) to ALL_LINGUAS.

2003-07-10  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Change version to 1.4.99 since HEAD is not the
	stable 1.4 branch, as evolution-1-4-branch was created post-1.4.1
	
2003-07-01  Dan Winship  <danw@ximian.com>

	* configure.in: Check for gnome-icon-lookup.h (which could mean
	either plain GNOME 2.2 or Sun GNOME 2.0)

2003-06-30  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in:
	* Makefile.am: removed libwombat from the build.

	* evolution-calendar.pc.in: removed -lwombat.

	* libwombat/*: removed unused directory.

== Version 1.4.1 ==

2003-06-25  Ettore Perazzoli  <ettore@ximian.com>

	* configure.in: Depend on GtkHTML 3.0.6, gal 1.99.8.

	* README: Update

2003-06-23  Ettore Perazzoli  <ettore@ximian.com>

	* data/Makefile.am: Added implicity rule to subst @BASE_VERSION@
	in evolution.desktop.in.in to generate evolution.desktop.in.
	(desktop_in_file): Removed.
	(desktop_in_in_file): New.
	(kdedesktop_file): Update substitution to use
	$(desktop_in_in_file) instead of $(desktop_in_file).
	(noinst_DATA): Add $(desktop_file).
	(install-data-local): Depend on $(mime_file) and $(keys_file).
	(EXTRA_DIST): Remove $(desktop_file), replace $(desktop_in_file)
	with $(desktop_in_in_file).

2003-06-19  Dan Winship  <danw@ximian.com>

	* tools/killev.c (kill_component): clean this up a little and make
	it deal with "evolution" vs "evolution-1.4"

2003-06-19  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-06-17  Not Zed  <NotZed@Ximian.com>

	* NEWS: Updated for current mail stuff.

2003-06-13  Ettore Perazzoli  <ettore@ximian.com>

	* tools/Makefile.am: Remove evolution-launch-composer since it's
	no longer needed.


